FUNCTION TEMPL(3)

NAME
boost::visitor_ptr - Returns a visitor object that adapts function pointers for use as a static visitor.

SYNOPSIS

// In header: <boost/variant/visitor_ptr.hpp>
template<typename R, typename T> visitor_ptr_t<T,R> visitor_ptr(R (*)(T));

DESCRIPTION

Constructs and returns a visitor_ptr_t adaptor over the given function.

Returns:
    Returns a visitor_ptr_t visitor object that, when applied, invokes the given function.

Throws:
    Will not throw. (Note, however, that the returned visitor object may throw when applied.)